Bug 816572 - Copy of package: value of Task Name disappears in process BPMN2
Copy of package: value of Task Name disappears in process BPMN2
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 08:38 EDT by Sona Mala
Modified: 2013-10-07 20:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Packages that were created by copying an existing package, did not include the taskName property, which resulted in validation failing. This has been resolved by ensuring that all properties are correctly copied, and validation is able to proceed without failing.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Catch Exception in server.log (3.80 KB, application/octet-stream)
2012-04-26 08:38 EDT, Sona Mala
no flags Details

  None (edit)
Description Sona Mala 2012-04-26 08:38:39 EDT
Created attachment 580460 [details]
Catch Exception in server.log

Description of problem:
Server does not work correct when you validate BPMN2 process in copy of package.Value of Task Name property disappears in BPMN2 process from copy of package even if in original package this value is set.


Version-Release number of selected component (if applicable):
5.3.0.BRMS-ER6

How reproducible:
Every time when you execute this steps

Steps to Reproduce:
1. Import clear repository
2. Create new package "defaultPackage"
3. Create new BPMN2 process "task" in "defaultPackage"
4. Create simple process:
      Start Event -> Task -> End Event
5. Set properties of Task:
      TaskType: User
      Task Name: MyTask
6. Generate Forms, PNG image
7. Validate
8. Save and close process

9. Open defaultPackage
10. Edit > copy: newPkg
11. Open newPkg, open task process
12. Validate
13. Export BPMN2
14. Save
15. Set properties of Task:
      Task Name: MyTask
16. Validate
17. Export BPMN2
18. Save  



Actual results:
During creation of package's copy Task Name property is deleted in BPMN2 process.
In step 12 appears Error in server.log (attached).
In step 13 appears same Error.
In step 14 appears same Error.

Steps 16., 17. and 18 are OK.

Expected results:
In package's copy should be the same properties as in original.

If you validate in step 5 after set User TaskType, validation told you: "User Task has no task name".
Expect same behaviour in step 12.



Additional info:
Comment 3 Tihomir Surdilovic 2012-08-23 16:19:12 EDT
Fixed - available in designer 2.3.x package
Comment 4 Sona Mala 2012-09-19 05:33:31 EDT
Verified for BRMS 5.3.1 ER1

Note You need to log in before you can comment on or make changes to this bug.